package com.hfkj.sysenum;

import java.util.Objects;

/**
 * 设备类型
 * @author hurui
 */
public enum DeviceOrderTypeEnum {
    type1(1, "押金"),
    type2(2, "购买"),
            ;

    private Integer number;

    private String name;

    DeviceOrderTypeEnum(int number, String name) {
        this.number = number;
        this.name = name;
    }

    public static DeviceOrderTypeEnum getDataByNumber(Integer number) {
        for (DeviceOrderTypeEnum ele : values()) {
            if (Objects.equals(number,ele.getNumber())) {
                return ele;
            }
        }
        return null;
    }


    public Integer getNumber() {
        return number;
    }

    public void setNumber(Integer number) {
        this.number = number;
    }

    public String getName() {
        return name;
    }

    public void setName(String name) {
        this.name = name;
    }
}
